#ifndef __CHAT_Room_hh__
#define __CHAT_Room_hh__
#include "Global.h"
#include "SOCK_Socket.hh"


class CHAT_User;

class CHAT_Room
{
private:
  CHAT_User   * usersPtrCv[MAX_USER_PER_ROOM];
  int           ctrUsersCv;
  char        * userNames[MAX_USER_PER_ROOM];
  int           maxUsersCv;

public:
  CHAT_Room();
  char roomNameCv[20];
  ~CHAT_Room();
  Status  Join  (CHAT_User *userPtr /* in: */);
  Status  Leave (CHAT_User *userPtr /* in: */);
  void Broadcast (char *str);
  void Broadcasts (char *str, int len);
  void DisconnectAll(void);
};

#endif
