#ifndef __GLOBAL_H__
#define __GLOBAL_H__

#ifdef __cplusplus
extern "C" {
#endif

#define ENTER                 (13)
#define LINEFEED              (10)

#define MAX_USER               20
#define MAX_ROOM               20
#define MAX_USER_PER_ROOM      7

typedef unsigned char         Byte;
typedef unsigned short        Word;
typedef unsigned int          LongWord;
typedef void *                Ptr;

#define TRUE                  (1)
#define FALSE                 (0)
typedef unsigned char         Boolean;

#define OK                    (0)
#define ERROR                 (1)

typedef int                   Status;

#ifdef __cplusplus
}
#endif

#endif
