
#include <stdio.h>
#include "Thread.hh"

static int * _pid_thread_ptr_;

static Ptr
ThreadStarter (Ptr *threadPtr) {
  if (threadPtr != NULL) {
    *_pid_thread_ptr_ = getpid();

    ((Thread *)threadPtr)->Run(); //abstract methode
    printf ("THREAD: Thread %d is to be stopped.\n",*_pid_thread_ptr_);
    ((Thread *)threadPtr)->Stop();
  } else {
    printf ("ERROR: ThreadStarter - Null pointer\n");
  }
   printf ("oow thread keeps on running\n");
   return (NULL);
}

Thread::Thread()
{
  _pid_thread_ptr_ = &pidCv;
  //printf ("THREAD: pidptr: %p\n",_pid_thread_ptr_);
  if (pthread_attr_init(&tattrCv) != 0) {
    printf ("ERROR: Cannot initialize the attribute.\n");
  }
}

Thread::~Thread(){
}

void
Thread::Start()
{
  int ret;

  ret = pthread_create(&tidCv, &tattrCv,ThreadStarter,(Ptr)this);

  if (ret != 0) {
    printf ("ERROR: Cannot create a thread.\n");
  }

}

void
Thread::Stop()
{
  pthread_exit(0);
}

void
Thread::GetPID(int *pid)
{
  *pid = pidCv;
  //printf ("THREAD: pidCv: %d\n",pidCv);
}
