/***************************************************************************
                          CHAT_Manager.hh  -  description
                             -------------------
    begin                : Thu Jun 28 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/*

   This class concerns about:
   - PID / Thread
   - Signals
   - Socket Cleanup
   - User
   - Room

*/


#ifndef CHAT_MANAGER_HH
#define CHAT_MANAGER_HH


#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include "CHAT_User.hh"
#include "CHAT_Room.hh"
#include "CHAT_Login.hh"


/**
  *@author 
  */

class CHAT_Manager
{
  private:
  int roomsCountCv;

  public:
  CHAT_Room     *roomsPtrCv[MAX_ROOM];
	CHAT_Manager();
	~CHAT_Manager();
	int           Begin();
	Status        RoomRegister (CHAT_Room * roomPtr); 	
  Boolean       IsRoomIn (char * RoomName);
  CHAT_Room     *GetRoomPtrByName(char * RoomName);
  Status        DisplayAllRoomName(CHAT_User * userPtr);

};

#endif
