
#ifndef THREAD_HH
#define THREAD_HH

#include <pthread.h>
#include <unistd.h>
#include "Global.h"

/**
  *@author 
  */

class Thread {
private:
  pthread_t      tidCv;
  pthread_attr_t tattrCv;
  int pidCv;

public:
	Thread();
	virtual ~Thread();
	
	virtual void
	Start();
	
	virtual void
	Stop();
	
	virtual void
	Run() = 0;
	
	virtual void
	GetPID (int *pid);
	};

#endif
